Summary: Skinned radio tuner
Name:    gqradio
Version: 1.9.2
Release: 6%{?dist}
License: GPL+
URL:     http://gqmpeg.sourceforge.net
Group:   Applications/Multimedia
Source0: http://download.sourceforge.net/gqmpeg/gqradio-%{version}.tar.gz
Patch0:  gqradio-1.9.2-v4l2.patch
Patch1:  gqradio-1.9.2-ld.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils, gettext
BuildRequires: gtk2-devel >= 2.4

%description
Radio tuner with themes. 
Interfaces with video4linux compatible radio tuner cards.

%prep
%setup -q
%patch0 -p1 -b .v4l2
%patch1 -p1 -b .ld

for i in ./SKIN-SPECS ; do
        iconv -f iso-8859-1 -t utf-8 < "$i" > "${i}_"
        mv "${i}_" "$i"
done

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

desktop-file-install \
           --delete-original \
           --vendor "" \
           --remove-key="Info" \
           --remove-key="Info[fr]" \
           --dir %{buildroot}%{_datadir}/applications \
           %{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog COPYING README TODO SKIN-SPECS
%{_bindir}/gqradio
%{_datadir}/gqradio
%{_datadir}/applications/gqradio.desktop
%{_datadir}/pixmaps/gqradio.png

%changelog

* Thu Feb 25 2010 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-6
- Changed license to GPL+
- Removed INSTALL from %%doc.

* Thu Feb 25 2010 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-5
- Fixed FTBFS with the new ld (rhbz#564863)

* Sun Feb 14 2010 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-4
- Changed %%name for %%{name}

* Sat Dec 05 2009 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-3
- Using find_lang.
- Patched for v4l2.

* Mon Feb 05 2007 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-2
- Rebuilt for Fedora 6.

* Fri Mar 03 2006 Paulo Roma <roma@lcg.ufrj.br> 1.9.2-1
- Initial spec file.
- Built for Fedora 4.

